Bug 1466494 - [dedicated][RFE] Aggregate router logs
[dedicated][RFE] Aggregate router logs
Status: CLOSED UPSTREAM
Product: OpenShift Online
Classification: Red Hat
Component: RFE (Show other bugs)
3.x
Unspecified Unspecified
unspecified Severity urgent
: ---
: ---
Assigned To: Abhishek Gupta
: OnlineDedicated
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-29 15:48 EDT by Steven Walter
Modified: 2017-09-25 10:16 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-09-25 10:16:00 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steven Walter 2017-06-29 15:48:02 EDT
1. Proposed title of this feature request
 Aggregate router logs

3. What is the nature and description of the request?
 We need to aggregate router pod logs. When an outage occurs in a customer cluster, we need this information to solve issues, or at least provide RCA to prevent issues in the future (rather than just waiting for them to occur again).

4. Why does the customer need this? (List the business requirements here)
 Stability of cluster

5. How would the customer like to achieve this? (List the functional requirements here)
 operations logging cluster
Comment 1 Bernie Hoefer 2017-07-31 08:46:18 EDT
Good morning!  This RFE has been opened for over 4 weeks and has not yet been triaged.  (I.e. the pm_ack, devel_ack and qa_ack flags get set.)  Is that something that should have happened, by now, for this ticket?  Thanks.
Comment 2 Steve Speicher 2017-07-31 13:06:16 EDT
Primary cause is being working (alerting ops when kibana web console isn't responding whether it is router issue or other), so this will minimize the need for this feature.

Feel free to close if no longer needed. I will check into creating a card on the Trello board to track this but see it as pretty low level priority as ops will be monitoring this themselves. If we find other use cases or customers who want this, it would bump it up a bit. I need someone from ops to highlight how router logs are captured today. Adding bign for that.
Comment 3 Narayanan Raghavan 2017-07-31 15:09:34 EDT
+ Wesley to provide the relevant information
Comment 4 Wesley Hearn 2017-07-31 15:15:21 EDT
As for today they are captured just like every other pod log(through fluentd). They are stored so only cluster admins can see them, which means we have to manually use curl to access the logs, not something OPs has documented. Though even with that I don't think router logs are overly helpful as it is mostly just logging when the router refreshes its cache of routes.
Comment 5 Steve Speicher 2017-09-20 12:44:52 EDT
I believe this can be accomplished by getting access view the tier access for SREs and CEE folks. The will give them cluster reader rights to they have access to logs for all pods.

See https://mojo.redhat.com/docs/DOC-1144200

I believe tiered access satisfies this RFE and this can be closed.
Comment 6 Steven Walter 2017-09-20 13:44:59 EDT
That would work, agreed, I think.

Note You need to log in before you can comment on or make changes to this bug.